petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESLineSearchSetComputeNorms

Turns on or off the computation of final norms in the line search.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetComputeNorms(SNESLineSearch linesearch, PetscBool flg)

### Input Parameters

| linesearch | - linesearch context
| flg | - indicates whether or not to compute norms

### Options Database Keys

-snes_linesearch_norms -turn norm computation on or off

### Notes

This is most relevant to the SNESLINESEARCHBASIC line search type.

### See Also

SNESLineSearchGetNorms(), SNESLineSearchSetNorms(), SNESLineSearchComputeNorms(), SNESLINESEARCHBASIC

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages